// creator  : weidu.exe (version 23100)
// argument : YARIN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~YARIN~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,1)
~ THEN BEGIN 0 // from:
  SAY #25388 /* ~I be a retired adventurer, my friend.  Nothing sadder than one who has left the Way behind him.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,2)
~ THEN BEGIN 1 // from:
  SAY #25390 /* ~I have left me thievin' days far, far behind me, now. Best pickpocket ever is retired.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,3)
~ THEN BEGIN 2 // from:
  SAY #25391 /* ~The young thieves these days, they not be knowin' what they're doin'.  All vicious and murderin'... in my day we were respected. None was as smooth as me.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,4)
~ THEN BEGIN 3 // from:
  SAY #25393 /* ~Ye should step carefully around the Shadow Thieves, my friend.  Take it from one who should know, aye?~ */
  IF ~GlobalGT("chapter","GLOBAL",3)~ THEN EXIT
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45659 /* ~What do you know about the Shadow Thieves, exactly?~ */ GOTO 19
END

IF WEIGHT #7 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,5)
~ THEN BEGIN 4 // from:
  SAY #25394 /* ~I be hearing that there be another guild challengin' the Shadow Thieves.  Bah!  In my days, no one would 'ave thought o' doing such a thing.  We had respect, then.~ */
  IF ~GlobalGT("chapter","GLOBAL",3)~ THEN EXIT
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45663 /* ~What do you know about this guild that's challenging the Shadow Thieves?~ */ GOTO 21
END

IF WEIGHT #8 /* Triggers after states #: 6 10 15 even though they appear after this state */
~RandomNum(6,6)
~ THEN BEGIN 5 // from:
  SAY #25396 /* ~I must say, some days I do surely miss me adventurin' and thievin' days... the Way were good to me, then. The best pickpocket ever is retired.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Yoshimo")
InParty("Yoshimo")
!StateCheck("Yoshimo",STATE_SLEEPING)
RandomNum(2,1)
Global("yarinyoshimo","AR0406",0)~ THEN BEGIN 6 // from:
  SAY #25397 /* ~Hello there, young feller... I knows ye, don't I?  Yoshimo, isn't it?~ */
  IF ~~ THEN DO ~SetGlobal("yarinyoshimo","AR0406",1)~ EXTERN ~YOSHJ~ 12
END

IF ~~ THEN BEGIN 7 // from: YOSHJ:12.0
  SAY #25399 /* ~Eh... I find meself several days behind schedule on me sleep and several weeks ahead on me ales.  All in all, it could be worse.~ */
  IF ~~ THEN EXTERN ~YOSHJ~ 13
END

IF ~~ THEN BEGIN 8 // from: YOSHJ:13.0
  SAY #25401 /* ~Listen here, whipper-snapper, you'll get your dues soon enough.  See if ye live on the Way long enough to reach my age, aye?~ */
  IF ~~ THEN EXTERN ~YOSHJ~ 14
END

IF ~~ THEN BEGIN 9 // from: YOSHJ:14.0
  SAY #25404 /* ~That's what all the youngun' think.  We'll see.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~See("Nalia")
InParty("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
RandomNum(2,1)
Global("yarinnalia","AR0406",0)
~ THEN BEGIN 10 // from:
  SAY #25406 /* ~Thievin's a waste of a life, let me tell you surely.  A true waste.~ */
  IF ~~ THEN DO ~SetGlobal("yarinnalia","AR0406",1)~ EXTERN ~NALIAJ~ 121
END

IF ~~ THEN BEGIN 11 // from:
  SAY #25409 /* ~Because I been there, missy.  I been an adventurer an' I been a thief.  An' nothing good ever came from it.~ */
  IF ~~ THEN EXTERN ~NALIAJ~ 122
END

IF ~~ THEN BEGIN 12 // from:
  SAY #25411 /* ~Oh, sure, make fun of an old man.  But I tells ye, I was good enough, surely.  Once ye spend yer life thievin', what do you do next when ye loses yer speed an' yer agility?~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #25412 /* ~I tells ye what.  Ye grows old and ye dies, that's what ye does.  An' ye never thieves again.~ */
  IF ~~ THEN EXTERN ~NALIAJ~ 123
END

IF ~~ THEN BEGIN 14 // from:
  SAY #25415 /* ~Ye think I had nary a dream, girlie?  Ahhh, of course ye doesn't.  Go on, then.  Go and do yer adventurin'.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~See("HaerDalis")
InParty("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
RandomNum(2,1)
Global("yarinhaerdalis","AR0406",0)
~ THEN BEGIN 15 // from:
  SAY #25418 /* ~Ach, me thievin' days be over and then some, I reckon.~ */
  IF ~~ THEN DO ~SetGlobal("yarinhaerdalis","AR0406",1)~ EXTERN ~HAERDAJ~ 37
END

IF ~~ THEN BEGIN 16 // from:
  SAY #25420 /* ~Ye talks high an' mighty enough... is ye a thief?~ */
  IF ~~ THEN EXTERN ~HAERDAJ~ 38
END

IF ~~ THEN BEGIN 17 // from:
  SAY #25422 /* ~That's what I thought ye said.  Ye're not afraid of growin' old and dyin'?~ */
  IF ~~ THEN EXTERN ~HAERDAJ~ 39
END

IF ~~ THEN BEGIN 18 // from:
  SAY #25424 /* ~One thing t' say it, my friend... another thing entirely t' live it.~ */
  IF ~~ THEN EXTERN ~HAERDAJ~ 40
END

IF ~~ THEN BEGIN 19 // from: 3.1
  SAY #45657 /* ~I know enough not t' be crossin' them.  The Shadow Thieves have skilled assassins at their beck an' call... with poisons that will stop yer second breath, they will.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #45658 /* ~Nay.  If the Bloodscalp feels ye've done him wrong, ye won't see yer death comin'.  Deal with the Shadow Thieves only if ye've an eye in the back o' yer head.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 21 // from: 4.1
  SAY #45660 /* ~I hears that there's a woman behind it all, but nobody knows 'er name.  She's been collectin' all the thieves she can, recruitin' amidst the ranks of the thieves not welcome in the guild.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #45661 /* ~And the young... and the retired, too.  I was approached, not so long ago.  Too tired t' bother with it, even though 'twas a sweet enough deal.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #45662 /* ~Don't know what she plans to accomplish, that one.  The Shadow Thieves be planted firm in the city.  All that can come of it is blood, I think.  Blood an' death, plenty o' both.~ */
  IF ~~ THEN EXIT
END
